Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
pdumodel::Outlet_2_1_5::State Struct Reference

Outlet state More...

`import"Outlet.idl";`

## Public Attributes
boolean | available
| powerState is available
PowerState | powerState
| Current power state of outlet (represented by the control state of the relay, which was set by the last command sent to it)
boolean | switchOnInProgress
| `true` if the outlet is pending to be switched on after the sequencing delay has passed. More...
boolean | cycleInProgress
| `if` a power-cycle is in progress. More...
boolean | isLoadShed
| `true` if the outlet is currently switched off due to being non-critical and load shedding being active
LedState | ledState
| LED state.
time | lastPowerStateChange
| Time of last power state change.

## Detailed Description

Outlet state

## Member Data Documentation

## ◆ cycleInProgress

boolean pdumodel::Outlet_2_1_5::State::cycleInProgress

`if` a power-cycle is in progress.

The outlet will be switched on after the cycle delay has passed.

## ◆ switchOnInProgress

boolean pdumodel::Outlet_2_1_5::State::switchOnInProgress

`true` if the outlet is pending to be switched on after the sequencing delay has passed.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Outlet.idl